<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <ScrollView
        android:id="@+id/scroll"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:layout_below="@+id/navigation_bar">

        <LinearLayout
            android:orientation="vertical"
            android:paddingBottom="5dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="20dp" />

                <TextView
                    android:textSize="17dp"
                    android:textColor="@android:color/darker_gray"
                    android:id="@+id/tv_terminalInformation"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:text="@string/str_deviceInformation_DeviceInformation" />
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:id="@+id/DeviceGrubLinearLayout01"
                android:background="@drawable/setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/linearLayoutOSVersion"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="left|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_deviceInformation_OSVersion" />

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/darker_gray"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tv_deviceOSVersion"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginRight="8dp"
                        android:text="-"
                        android:layout_weight="1" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/linearLayoutWifiState"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="left|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_deviceInformation_WifiState" />

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/darker_gray"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tv_deviceWifiState"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginRight="8dp"
                        android:text="-"
                        android:layout_weight="1" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/linearLayoutSSIDName"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="left|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_deviceInformation_SSIDName" />

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/darker_gray"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="center_vertical"
                        android:id="@+id/tv_deviceSSIDName"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginRight="8dp"
                        android:text="-"
                        android:layout_weight="1" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/linearLayoutIPAddress"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="left|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_deviceInformation_IPAddress" />

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/darker_gray"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tv_deviceIPAddress"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginRight="8dp"
                        android:text="-.-.-.-"
                        android:layout_weight="1" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/linearLayoutBluetoothStatus"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="left|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_deviceInformation_BluetoothStatus" />

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/darker_gray"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tv_deviceBluetoothStatus"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginRight="8dp"
                        android:text="-"
                        android:layout_weight="1" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <View
                    android:id="@+id/view2"
                    android:layout_width="match_parent"
                    android:layout_height="20dp" />

                <TextView
                    android:textSize="17dp"
                    android:textColor="@android:color/darker_gray"
                    android:id="@+id/tv_devicePrinterInformation"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:text="@string/str_deviceInformation_PrinterInformation" />
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:id="@+id/DeviceGrubLinearLayout02"
                android:background="@drawable/setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/linearLayoutPrinterName"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_deviceInformation_PrinterName" />

                    <TextView
                        android:textSize="17dp"
                        android:textStyle="bold"
                        android:textColor="@android:color/darker_gray"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tv_devicePrinterName"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginRight="8dp"
                        android:text="-"
                        android:layout_weight="1" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:orientation="vertical"
                        android:id="@+id/linearLayoutStatusAndIP"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <LinearLayout
                            android:orientation="horizontal"
                            android:id="@+id/linearLayoutPrinterStatus"
                            android:background="@drawable/select_setting_border"
                            android:layout_width="match_parent"
                            android:layout_height="45dp">

                            <TextView
                                android:textSize="17dp"
                                android:textStyle="bold"
                                android:textColor="@android:color/black"
                                android:gravity="center_vertical"
                                android:layout_gravity="left"
                                android:id="@+id/tv_devicePrinterStatusInfo"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="8dp"
                                android:text="@string/str_deviceInformation_PrinterStatus" />

                            <TextView
                                android:textSize="17dp"
                                android:textStyle="bold"
                                android:textColor="@android:color/darker_gray"
                                android:gravity="right|center_vertical|center_horizontal|center"
                                android:layout_gravity="right"
                                android:id="@+id/tv_devicePrinterStatus"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginRight="8dp"
                                android:text="-"
                                android:layout_weight="1" />
                        </LinearLayout>

                        <View
                            android:background="@color/light"
                            android:layout_width="match_parent"
                            android:layout_height="1dp" />

                        <LinearLayout
                            android:orientation="horizontal"
                            android:id="@+id/linearLayoutPrinterIPAddress"
                            android:background="@drawable/setting_border_1"
                            android:layout_width="match_parent"
                            android:layout_height="45dp">

                            <TextView
                                android:textSize="17dp"
                                android:textStyle="bold"
                                android:textColor="@android:color/black"
                                android:gravity="center_vertical"
                                android:layout_gravity="left"
                                android:id="@+id/tv_devicePrinterIPAddressInfo"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="8dp"
                                android:text="@string/str_deviceInformation_PrinterIPAddress" />

                            <TextView
                                android:textSize="17dp"
                                android:textStyle="bold"
                                android:textColor="@android:color/darker_gray"
                                android:gravity="right|center_vertical|center_horizontal|center"
                                android:layout_gravity="right"
                                android:id="@+id/tv_devicePrinterIPAddress"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="8dp"
                                android:text="-.-.-.-"
                                android:layout_weight="1" />
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true">

                        <ProgressBar
                            android:id="@+id/progress_status"
                            android:visibility="gone"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />
                    </LinearLayout>
                </RelativeLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
